# -*- coding: iso-8859-1 -*-
#
# $Id: getCustomTestPoints.py,v 1.7 2005/12/01 15:07:01 mxp Exp $
#
# Copyright  2004 Otto-von-Guericke-Universitt Magdeburg
#
# This file is part of LlsMultipleChoice.
#
# LlsMultipleChoice is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# LlsMultipleChoice is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with LlsMultipleChoice; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

def getCandidatePointsCustom(self, candidateId, questionGroups, questions):
    """This is a sample custom scoring script for type 'MC Test'.  It
    simply returns the negative sum of all points."""
    points = 0
    for questionGroup in questionGroups:
        points = points + questionGroup.getCandidatePoints(candidateId)
    for question in questions:
        points = points + question.getCandidatePoints(candidateId)
    return -points
