## Script (Python) "deleteResults"
##parameters=format='tab'
##title=
##

#!/usr/local/bin/python
# -*- coding: iso-8859-1 -*-
#
# $Id: deleteResults.py,v 1.6 2005/05/20 10:11:15 mxp Exp $
#
# Copyright  2004 Otto-von-Guericke-Universitt Magdeburg
#
# This file is part of LlsMultipleChoice.
#
# LlsMultipleChoice is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# LlsMultipleChoice is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with LlsMultipleChoice; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

REQUEST  = context.REQUEST
RESPONSE = REQUEST.RESPONSE

I18N_DOMAIN = 'llsMultipleChoice'

if(not REQUEST.has_key('ids')):
    # i18n is done through llsMultipleChoice-plone-??.po
    msg = context.translate(\
        msgid   = 'select_item_delete',\
        domain  = I18N_DOMAIN,\
        default = 'Please select one or more items to delete first.')
else:
    count = 0
    for candidateId in REQUEST['ids']:
        context.deleteResultOf(candidateId)
        count += 1
    # i18n is done through llsMultipleChoice-plone-??.po
    if(count == 1):
        msg = context.translate(\
            msgid   = 'item_deleted',\
            domain  = I18N_DOMAIN,\
            default = 'Item deleted.')
    else:
        msg = context.translate(\
            msgid   = 'items_deleted',\
            domain  = I18N_DOMAIN,\
            default = 'Items deleted.')

targetAction = context.getTypeInfo().getActionById( 'see_results' )
RESPONSE.redirect(
    '%s/%s?portal_status_message=%s' % ( context.absolute_url(),
                                         targetAction,
                                         msg
                                        ))
