## Script (Python) "exortTest"
##parameters=
##title=
##

#!/usr/local/bin/python
# -*- coding: iso-8859-1 -*-
#
# $Id: exportTest.py,v 1.5 2005/05/20 10:11:15 mxp Exp $
#
# Copyright  2004 Otto-von-Guericke-Universitt Magdeburg
#
# This file is part of LlsMultipleChoice.
#
# LlsMultipleChoice is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# LlsMultipleChoice is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with LlsMultipleChoice; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

""" This script will be called when somebody presses 'Export' in the 
    test_import_export.pt form.
"""

REQUEST  = container.REQUEST
RESPONSE = REQUEST.RESPONSE

I18N_DOMAIN = 'llsMultipleChoice'
# Call 'MultipleChoiceTest.processQTIExport()"
package, errors = context.processQTIExport()
if errors:
    # The uploaded file has errors.
    msg = context.translate(\
        msgid   = 'errors_occurred',\
        domain  = I18N_DOMAIN,\
        default = 'The following error(s) occurred:') + ' ' \
            + context.str(errors)
else:
    msg = ''
msg = msg.replace('\n', ' - ')
msg = msg.strip()
        
target_action = context.getTypeInfo().getActionById( 'test_import_export' )
# Show the success message 'msg' as the portal_status_message.
#~ RESPONSE.redirect( '%s/%s?portal_status_message=%s' \
    #~ % (context.absolute_url(), target_action, msg) )

if(not (package is None)):
    filename = context.pathQuote(context.title_or_id()) + '.' + 'zip'    
    RESPONSE.setHeader('Content-Disposition', 'attachment; filename=' + filename)
    RESPONSE.setHeader('Content-Type', 'application/zip')
    RESPONSE.setHeader('Content-Length', package.len)
    RESPONSE.setHeader('Accept-Ranges', 'bytes')
    package.seek(0)
    n=1 << 16
    while package.tell() < package.len:
        blockSize = min(n, package.len - package.tell())
        data = package.read(blockSize)
        RESPONSE.write(data)
    return ''
